--- a/CMakeLists.txt	2016-07-06 12:18:35.000000000 +0200
+++ b/CMakeLists.txt	2016-07-21 21:40:26.080328514 +0200
@@ -45,6 +45,9 @@
 ############### Give the user the option to build the deprecated WMI solid backend instead of the new win backend ###############
 option(WITH_SOLID_WMI "Enables the deprecated WMI backend on Windows")
 
+############### Give the user the option to build without qtwebkit dependency  ###############
+option(WITH_KDEWEBKIT "Enables the deprecated kdewebkit and kdewebkit-widgets" "ON")
+
 ############### Load the CTest options ###############
 # CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
 # in the KDE build system, this is the same as CMAKE_BINARY_DIR.
@@ -363,7 +366,9 @@
 add_subdirectory( plasma )
 endif(NOT WINCE)
 add_subdirectory( kunitconversion )
+if(WITH_KDEWEBKIT)
 add_subdirectory( kdewebkit )
+endif(WITH_KDEWEBKIT)
 add_subdirectory( includes )
 
 add_subdirectory( experimental )
--- a/kdewidgets/CMakeLists.txt	2016-07-06 12:18:35.000000000 +0200
+++ b/kdewidgets/CMakeLists.txt	2016-07-21 21:39:54.031052674 +0200
@@ -90,6 +90,7 @@
 
 
   # kdewebkit widgets
+  if(WITH_KDEWEBKIT)
   include_directories(
     ${CMAKE_SOURCE_DIR}/kdewebkit
   )
@@ -121,7 +122,7 @@
   endif(NOT WIN32)
 
   install(TARGETS kdewebkitwidgets  DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )
-
+  endif(WITH_KDEWEBKIT)
 
   if (QT_QT3SUPPORT_FOUND)
 
--- a/plasma/CMakeLists.txt	2016-07-22 01:26:52.992198945 +0200
+++ b/plasma/CMakeLists.txt	2016-07-22 01:28:10.487904045 +0200
@@ -10,6 +10,10 @@
     set(PLASMA_NO_GLOBAL_SHORTCUTS TRUE)
 endif(KDE_PLATFORM_FEATURE_BINARY_COMPATIBLE_FEATURE_REDUCTION)
 
+if(NOT WITH_KDEWEBKIT)
+    set(PLASMA_NO_KDEWEBKIT TRUE)
+endif(NOT WITH_KDEWEBKIT)
+
 set(PLASMA_NO_PACKAGEKIT TRUE)
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}
@@ -121,7 +125,6 @@
     framesvg.cpp
     plasma.cpp
     popupapplet.cpp
-    private/animablegraphicswebview.cpp
     private/applethandle.cpp
     private/associatedapplicationmanager.cpp
     private/componentinstaller.cpp
@@ -211,7 +214,6 @@
     widgets/textbrowser.cpp
     widgets/treeview.cpp
     widgets/textedit.cpp
-    widgets/webview.cpp
 
     #Temporary QtJolie branch
     private/qtjolie-branch/qtjolie/abstractadaptor.cpp
@@ -245,6 +247,14 @@
     )
 endif(NOT KDE_NO_DEPRECATED)
 
+if(NOT PLASMA_NO_KDEWEBKIT)
+    set(plasma_LIB_SRCS
+        ${plasma_LIB_SRCS}
+        private/animablegraphicswebview.cpp
+        widgets/webview.cpp
+    )
+endif(NOT PLASMA_NO_KDEWEBKIT)
+
 kde4_add_kcfg_files(plasma_LIB_SRCS data/kconfigxt/libplasma-theme-global.kcfgc)
 
 kde4_add_ui_files(plasma_LIB_SRCS
